from axelrod.action import Action
from axelrod.player import Player
IIIllIllII, llIlllIlIIIlI = Action.C, Action.D
class IIlIIIIIIllI(Player):
    IIIIIlllIlIIlll = "strategy"
    lllIIIlllIlllIIIIII = {
        "memory_depth": float("inf"),
        "stochastic": True,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def lIIIIlIIlIIIl(lIlIllIl, lllllllIIIIlI: Player) -> Action:
        lIIIlllllIllIIIIIlI = len(lIlIllIl.history) + 1
        IlIlIlllllIll = lIIIlllllIllIIIIIlI / 1000
        return lIlIllIl._random.random_choice(IlIlIlllllIll)